<ion-menu [content]="content">

  <ion-header class="transparent">
    <ion-toolbar>
      <ion-title></ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-content>

    <!-- Current User Imaage, Name -->
    
    <div *ngIf="currentUser" class="alt-avatar">
      <img *ngIf="currentUser.avatar.startsWith('/')" [src]="url+currentUser.avatar">
      <img *ngIf="currentUser.avatar.startsWith('h')" [src]="currentUser.avatar">
    </div>

    <ion-item *ngIf="currentUser" class="menu-user" no-lines> 
      <h1 class="menu">{{currentUser.first_name}}</h1>
      <h3 class="text-theme view_profile"  menuClose> 
        <button (click)="openProfile()" ion-button clear> View Profile </button> 
      </h3>
    </ion-item>

    <!-- Menu -->
    <ion-list class="main-menu" no-lines inset>
      <button menuClose ion-item *ngFor="let pp of profilePages" (click)="openPage(pp)">
        {{pp.title}}
      </button>

      <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)" detail-none>
        <ion-icon name="{{p.icon}}" item-left></ion-icon>
        {{p.title}} <ion-badge>{{p.num}}</ion-badge>
      </button>   


    </ion-list>
  </ion-content>
</ion-menu>


<!-- Disable swipe-to-go-back because it's poor UX to combine STGB with side menus -->
<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>